#include <Wire.h>
/*---------------ADXL 345--------------------------------------*/
int x,y,z;
byte buff[6];


#define device 0x53
#define BW_RATE 0x2c
#define POWER_CTL 0x2D
#define DATA_FORMAT 0x31
#define DATAX0 0x32
#define DATAX1 0x33
#define DATAY0 0x34
#define DATAY1 0x35
#define DATAZ0 0x36
#define DATAZ1 0x37


void write_data(byte adr,byte val){
Wire.beginTransmission(device);
Wire.write(adr);
Wire.write(val);
Wire.endTransmission();
}

void read_data(byte adr, int num,byte buff[]){
Wire.beginTransmission(device);
Wire.write(adr);
Wire.endTransmission();

Wire.beginTransmission(device);
Wire.requestFrom(device,num);
int i=0;
while(Wire.available()){
buff[i]=Wire.read();
i++;
}
Wire.endTransmission();
}

void read_adxl(){
  
read_data(DATAX0,6,buff);

 x=((int)buff[1]<<8)| buff[0];    // buff[0] contient la donnee dataX0
 y=((int)buff[3]<<8)| buff[2];    // buff[1] contient la donnee dataX1
 z=((int)buff[5]<<8)| buff[4];    // buff[4] contient la donnee dataZ0
                                  // buff[5] contient la donnee dataZ1
 Serial.print(" dataX1 : ");
 Serial.print(buff[1],HEX);

 Serial.print(" dataX0 : ");
 Serial.print(buff[0],HEX);

 Serial.print(" x : ");
 Serial.println(x);

 Serial.print(" dataZ1 : ");
 Serial.print(buff[5],HEX);

 Serial.print(" dataZ0 : ");
 Serial.print(buff[4],HEX);

 Serial.print(" z : ");
 Serial.println(z);

}
/*-------------------------------------------------------------*/

void setup() {
  Serial.begin(9600);
  Wire.begin();
  write_data(BW_RATE,0x0A);
  write_data(DATA_FORMAT,0x08);   // plus ou mois 2g
  write_data(POWER_CTL,0x08);
}


float degre=0;



void loop() {
   read_adxl();
  
   degre = (atan2(x,z)*180.0)/M_PI;
   Serial.print (" degre : ");
   Serial.println(degre);
   Serial.println(" ");
   delay(100);
}
